Patches for aports can be sent to this list

1

[alpine-aports] testing/readosm: new aport

Bjoern Schilberg
Details
Message ID
<20180522185028.GA17763@intevation.de>
Sender timestamp
1527015028
DKIM signature
missing
Download raw message
Patch: +30 -0
---
 testing/readosm/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/readosm/APKBUILD

diff --git a/testing/readosm/APKBUILD b/testing/readosm/APKBUILD
new file mode 100644
index 0000000000..a0bb71196a
--- /dev/null
+++ b/testing/readosm/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Bjoern Schilberg <bjoern@intevation.de>
+# Maintainer: Bjoern Schilberg <bjoern@intevation.de>
+pkgname=readosm
+pkgver=1.1.0
+pkgrel=0
+pkgdesc="Library to extract valid data from an Open Street Map input file."
+url="https://www.gaia-gis.it/fossil/readosm/index"
+arch="x86_64"
+license="MPL 1.1, GPL v2.0, LGPL v2.1"
+depends="expat zlib"
+depends_dev="expat-dev zlib-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://www.gaia-gis.it/gaia-sins/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	./configure --prefix /usr
+	make -j1 || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -rf "$pkgdir"/usr/share/
+}
+sha512sums="d3581f564c4461c6a1a3d5fd7d18a262c884b2ac935530064bfaebd6c05d692fb92cc600fb40e87e03f7160ebf0eeeb05f51a0e257935d056b233fe28fc01a11  readosm-1.1.0.tar.gz"
-- 
2.15.0


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<CAGG_d8BL7=_EhVsZ=Qd-8mvc+Rm8-FzinbQRS3-PNLNCuPyMMQ@mail.gmail.com>
In-Reply-To
<20180522185028.GA17763@intevation.de> (view parent)
Sender timestamp
1531837740
DKIM signature
missing
Download raw message
Hi,

sorry for the late review. I've merged the patch with few modifications.

Please have a looks:
https://git.alpinelinux.org/cgit/aports/commit/?id=8ec516cc3fe6f392fe41a3ac318fe7e47486c325

The license IDs, the "return 1". Also enabled build on all arches.

Thanks!



On Tue, May 22, 2018 at 8:50 PM, Bjoern Schilberg <bjoern@intevation.de>
wrote:

> ---
>  testing/readosm/APKBUILD | 30 ++++++++++++++++++++++++++++++
>  1 file changed, 30 insertions(+)
>  create mode 100644 testing/readosm/APKBUILD
>
> diff --git a/testing/readosm/APKBUILD b/testing/readosm/APKBUILD
> new file mode 100644
> index 0000000000..a0bb71196a
> --- /dev/null
> +++ b/testing/readosm/APKBUILD
> @@ -0,0 +1,30 @@
> +# Contributor: Bjoern Schilberg <bjoern@intevation.de>
> +# Maintainer: Bjoern Schilberg <bjoern@intevation.de>
> +pkgname=readosm
> +pkgver=1.1.0
> +pkgrel=0
> +pkgdesc="Library to extract valid data from an Open Street Map input
> file."
> +url="https://www.gaia-gis.it/fossil/readosm/index"
> +arch="x86_64"
> +license="MPL 1.1, GPL v2.0, LGPL v2.1"
> +depends="expat zlib"
> +depends_dev="expat-dev zlib-dev"
> +makedepends="$depends_dev"
> +install=""
> +subpackages="$pkgname-dev"
> +source="http://www.gaia-gis.it/gaia-sins/$pkgname-$pkgver.tar.gz"
> +
> +builddir="$srcdir/$pkgname-$pkgver"
> +
> +build() {
> +       cd "$builddir"
> +       ./configure --prefix /usr
> +       make -j1 || return 1
> +}
> +
> +package() {
> +       cd "$builddir"
> +       make DESTDIR="$pkgdir" install || return 1
> +       rm -rf "$pkgdir"/usr/share/
> +}
> +sha512sums="d3581f564c4461c6a1a3d5fd7d18a262c884b2ac935530064bfaebd6c05d
> 692fb92cc600fb40e87e03f7160ebf0eeeb05f51a0e257935d056b233fe28fc01a11
> readosm-1.1.0.tar.gz"
> --
> 2.15.0
>
>
> ---
> Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
> Help:         alpine-aports+help@lists.alpinelinux.org
> ---
>
>